$primary-color: #37464f;
$primary-light-color: #62717b;
$primary-dark-color: #101f27;
$secondary-color: #ff4081;
$secondary-light-color: #ff79b0;
$secondary-dark-color: #c60055;
$on-primary-color: #ffffff;
$on-primary-light-color: #ffffff;
$on-primary-dark-color: #000000;
$on-secondary-color: #ffffff;
$on-secondary-light-color: #000000;
$on-secondary-dark-color: #ffffff;
$error-color: #ff5555;
$warning-color: #ffaa55;
$success-color: #64df64;

$col-1: 5%;
$col-2: 10%;
$col-3: 15%;
$col-4: 20%;
$col-5: 25%;
$col-6: 30%;
$col-7: 35%;
$col-8: 40%;
$col-9: 45%;
$col-10: 50%;
$col-11: 55%;
$col-12: 60%;
$col-13: 65%;
$col-14: 70%;
$col-15: 75%;
$col-16: 80%;
$col-17: 85%;
$col-18: 90%;
$col-19: 95%;
$col-20: 100%;

$view-port-xs: 320px;
$view-port-xs-h: 375px;
$view-port-sm: 425px;
$view-port-sm-h: 600px;
$view-port-md: 768px;
$view-port-md-h: 896px;
$view-port-lg: 1024px;
$view-port-lg-h: 1232px;
$view-port-xl: 1440px;
$view-port-xl-h: 1920px;

$elevation-0: 0 0 0 0 #00000033, 0 0 0 0 #00000024, 0 0 0 0 #0000001f!important;
$elevation-1: 0 2px 1px -1px #00000033, 0 1px 1px 0 #00000024, 0 1px 3px 0 #0000001f!important;
$elevation-2: 0 2px 2px -1px #00000033, 0 2px 2px 0 #00000024, 0 1px 5px 0 #0000001f!important;
$elevation-3: 0 3px 3px -1px #00000033, 0 3px 4px 0 #00000024, 0 1px 8px 0 #0000001f!important;
$elevation-4: 0 3px 3px -1px #00000033, 0 4px 6px 0 #00000024, 0 1px 10px 0 #0000001f!important;
$elevation-5: 0 4px 4px -2px #00000033, 0 5px 8px 0 #00000024, 0 1px 14px 0 #0000001f!important;
$elevation-6: 0 4px 4px -2px #00000033, 0 6px 10px 0 #00000024, 0 1px 18px 0 #0000001f!important;
$elevation-7: 0 5px 5px -2px #00000033, 0 7px 12px 0 #00000024, 0 2px 16px 0 #0000001f!important;
$elevation-8: 0 5px 5px -2px #00000033, 0 8px 14px 1px #00000024, 0 3px 14px 2px #0000001f!important;
$elevation-9: 0 6px 6px -3px #00000033, 0 9px 16px 1px #00000024, 0 3px 16px 2px #0000001f!important;
$elevation-10: 0 6px 6px -3px #00000033, 0 10px 18px 1px #00000024, 0 4px 18px 3px #0000001f!important;
$elevation-11: 0 7px 7px -3px #00000033, 0 11px 20px 1px #00000024, 0 4px 20px 3px #0000001f!important;
$elevation-12: 0 7px 7px -3px #00000033, 0 12px 22px 2px #00000024, 0 5px 22px 4px #0000001f!important;
$elevation-13: 0 8px 8px -4px #00000033, 0 13px 23px 2px #00000024, 0 5px 24px 4px #0000001f!important;
$elevation-14: 0 8px 8px -4px #00000033, 0 14px 24px 2px #00000024, 0 5px 26px 4px #0000001f!important;
$elevation-15: 0 9px 9px -4px #00000033, 0 15px 25px 2px #00000024, 0 6px 28px 5px #0000001f!important;
$elevation-16: 0 9px 9px -4px #00000033, 0 16px 26px 2px #00000024, 0 6px 30px 5px #0000001f!important;
$elevation-17: 0 10px 10px -4px #00000033, 0 17px 28px 2px #00000024, 0 6px 32px 5px #0000001f!important;
$elevation-18: 0 10px 10px -4px #00000033, 0 18px 29px 2px #00000024, 0 7px 34px 6px #0000001f!important;
$elevation-19: 0 10px 11px -5px #00000033, 0 19px 31px 2px #00000024, 0 7px 36px 6px #0000001f!important;
$elevation-20: 0 11px 11px -5px #00000033, 0 20px 32px 3px #00000024, 0 7px 38px 7px #0000001f!important;
$elevation-21: 0 11px 12px -5px #00000033, 0 21px 34px 3px #00000024, 0 8px 40px 7px #0000001f!important;
$elevation-22: 0 11px 12px -5px #00000033, 0 22px 35px 3px #00000024, 0 8px 42px 7px #0000001f!important;
$elevation-23: 0 12px 13px -6px #00000033, 0 23px 36px 3px #00000024, 0 9px 44px 8px #0000001f!important;
$elevation-24: 0 12px 13px -6px #00000033, 0 24px 38px 3px #00000024, 0 9px 46px 8px #0000001f!important;

$spacing-unit: 0.4rem;

$main-height: calc(100vh - 5.6rem);